@import "/src/sass/global";

.detail {
  min-height: 100vh;

  background-color: white;
  box-shadow: 0 0 4px 2px rgba($color: gray, $alpha: 0.1);
  border-radius: 1rem;
  overflow: hidden;

  padding-inline: 4rem;
  padding-block: 2rem;

  @include respondTo(mobile) {
    padding-inline: 2rem;
  }

  &__title {
    text-align: center;
  }

  &__heading {
    position: relative;

    display: flex;
    align-items: center;
    gap: 1rem;

    border: 1px solid darkgray;
    border-radius: 0.6rem;

    padding: 0.4rem 0.6rem;
    margin-block: 1.6rem;

    &-icon {
      width: 3.6rem;
      height: 3.6rem;

      background-color: #e1e1e1;
      border-radius: 100%;

      padding: 0.4rem;
    }

    &-info {
      width: 100%;

      display: flex;
      justify-content: space-between;
      align-items: center;

      &-date {
        position: absolute;
        left: 50%;
        transform: translateX(-50%);

        font-size: 14px;
        color: gray;

        @include respondTo(mobile) {
          display: none;
        }

        &.onMobile {
          position: relative;
          display: none;

          @include respondTo(mobile) {
            display: block;
          }
        }
      }

      &-type {
        font-weight: 600;
        margin-right: 0.2rem;
      }
    }
  }

  &__banner {
    width: 100%;
    margin-bottom: 2rem;
  }
}
